import "../combobox/ComboBox";
import { LitElement } from "lit";
export declare namespace CountryCodePicker {
    interface Country {
        name: string;
        value: string;
        code: string;
    }
    type Attributes = {
        codePlaceholder: string;
        countryCallingCode: string;
        pill: boolean;
        flagClass: string;
    };
    type CountryCalling = {
        id: string;
        value: string;
    };
    class ELEMENT extends LitElement {
        codePlaceholder: string;
        countryCallingCode: string;
        showFlags: boolean;
        pill: boolean;
        disabled: boolean;
        ariaLabel: string;
        clearAriaLabel: string;
        id: string;
        newMomentum: boolean;
        isDropdownArrow: boolean;
        private countryCode;
        private codeList;
        combobox: HTMLElement;
        connectedCallback(): void;
        getCountryFlag(code: string): import("lit-html").TemplateResult<1>;
        countryCodeOptionTemplate(country: CountryCodePicker.Country, index: number): import("lit-html").TemplateResult<1>;
        handleCountryChange(event: CustomEvent): void;
        get flagClassMap(): {
            "new-momentum": boolean;
        };
        private get containerClassMap();
        getFormatedCountryCallingCode(): {
            id: string;
            value: string;
        };
        static get styles(): import("lit").CSSResult[];
        get sortedCodeList(): CountryCodePicker.Country[];
        render(): import("lit-html").TemplateResult<1>;
    }
}
declare global {
    interface HTMLElementTagNameMap {
        "md-country-code-picker": CountryCodePicker.ELEMENT;
    }
}
